Reinforcement HelicalRebar/es: Difference between revisions

From FreeCAD Documentation
(Created page with "La herramienta {{KEY | 16px Helical Rebar}} permite al usuario crear una barra de refuerzo helicoidal en el elemento estructural.")
(Updating to match new version of source page)
(36 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommandAddon|Name=Arch Rebar Helical|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar|Arch Rebar]]}}

{{Docnav
|[[Arch_Rebar_Stirrup|Stirrup Rebar]]
|[[Arch_Rebar_Circular_ColumnReinforcement|Circular Column Reinforcement]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_Rebar_Stirrup.svg
|IconR=Arch_Rebar_ColumnReinforcement.svg
|IconC=Workbench_Arch.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommandAddon/es
|Name=Arch Rebar Helical
|Name/es=Arch Rebar Helical
|MenuLocation=Arch → Rebar tools
|Workbenches=[[Arch_Workbench/es|Arch]]
|Addon=Reinforcement
|Shortcut=None
|SeeAlso=[[Arch_Rebar/es|Arch Rebar]]
}}
</div>


==Descripción==
==Descripción==


<div class="mw-translate-fuzzy">
La herramienta {{KEY | [[Image: Arch_Rebar_Helical.png | 16px]] Helical Rebar}} permite al usuario crear una barra de refuerzo helicoidal en el elemento estructural.
La herramienta {{KEY | [[Image: Arch_Rebar_Helical.png | 16px]] Helical Rebar}} permite al usuario crear una barra de refuerzo helicoidal en el elemento estructural.
</div>


The [[Arch_Rebar_Helical|Helical Rebar]] tool is also integrated into [[BIM_Workbench|BIM Workbench]].

This command is part of the [[Reinforcement Workbench|Reinforcement Workbench]], an [[External workbenches|external workbench]] that can be installed with the [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr|Addon Manager]] via the {{MenuCommand|Tools → Addon manager → Reinforcement}} menu.

:[[Image:Arch_Rebar_Helical_example.png|80px]]
<div class="mw-translate-fuzzy">
[[Image:HelicalRebar.png|800px]]
[[Image:HelicalRebar.png|800px]]
</div>


<div class="mw-translate-fuzzy">
==How to use==
==Como utilizar==
</div>


<div class="mw-translate-fuzzy">
# Create a [[Arch Structure|structure]] element
# Select any face of the structure
# Crear un elemento [[Arch Structure/es|structure]]
# Seleccione cualquier cara de la estructura
# Then select {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} from the rebar tools
# A continuación, seleccione {{KEY|[[Image: Arch_Rebar_Helical.png|16px]] Helical Rebar}} desde las herramientas de la barra de refuerzo
# A task panel will pop-out on the left side of the screen as shown below [[Image:HelicalRebarDialog.png|250px]]
# Aparecerá un panel de tareas en el lado izquierdo de la pantalla como se muestra a continuación [[Image: HelicalRebarDialog.png|250px]]
# Select the desired orientation
# Seleccione la orientación deseada
# Give the inputs like front cover, right side cover, left side cover, bottom cover and diameter of the rebar
# Proporcione las entradas como la cubierta frontal, la cubierta lateral derecha, la cubierta lateral izquierda, la cubierta inferior y el diámetro de la barra de refuerzo
# Select the mode of distribution either amount or spacing
# Seleccione el modo de distribución, ya sea cantidad o espaciado
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Si se selecciona el espaciado, un usuario también puede optar por [[Custom_Spacing/es|espaciado personalizado]]
# Pick selected face is used to verify or change the face for rebar distribution
# La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Haga clic en {{KEY|OK}} o {{KEY|Apply}} para generar las barras de refuerzo
# Click {{KEY|Cancel}} to exit the task panel
# Haga clic en {{KEY|Cancel}} para salir del panel de tareas
</div>


:[[Image:HelicalRebarDialog.png|250px]]
==Properties==
{{Caption|Taskview panel for the Arch Rebar Helical tool}}


==Propiedades==
* {{PropertyData|Side Cover}}: The distance between rebar to the curved face.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
* {{PropertyData|Pitch}}: The pitch of a helix is the height of one complete helix turn, measured parallel to the axis of the helix.
* {{PropertyData|Diameter}}: Diameter of the rebar.


* {{PropertyData/es|Side Cover}}: la distancia entre las barras de refuerzo a la cara curva.
==Scripting==
* {{PropertyData/es|Top Cover}}: la distancia entre barras de refuerzo desde la cara superior de la estructura.
* {{PropertyData/es|Bottom Cover}}: la distancia entre las barras de refuerzo desde la cara inferior de la estructura.
* {{PropertyData/es|Pitch}}: el pitch de una hélice es la altura de un giro completo de hélice, medido en paralelo al eje de la hélice.
* {{PropertyData/es|Diameter}}: Diámetro de la barra de refuerzo.

<div class="mw-translate-fuzzy">
==Programación==
</div>

<div class="mw-translate-fuzzy">
La herramienta {{KEY|[[Image: Arch_Rebar_Helical.png|16px]] Helical Rebar}} puede utilizarse en [[macros/es|macros]] y desde la consola de python utilizando la siguiente función:
</div>


The {{KEY|[[Image:Arch_Rebar_Helical.png|16px]] Helical Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
{{Code|code=
{{Code|code=
makeHelicalRebar(SideCover, BottomCover, Diameter, TopCover, Pitch, Structure, Facename)
Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
}}
}}
* Adds a Straight reinforcing bar object to the given structural object.
* If no Structure and Facename is given, it will take user selected face as input.
* Here CoverAlong argument is having type tuple.
* Returns the new Rebar object.


<div class="mw-translate-fuzzy">
Example:
* Agrega un objeto de barra de refuerzo recto al objeto estructural dado.
* Si no se proporciona Estructura y nombre de cara, tomará la cara seleccionada por el usuario como entrada.
* Aquí el argumento de CoverAlong es del tipo tupla.
* Devuelve el nuevo objeto de refuerzo.
</div>

=== Example ===


Creating Helical rebar.
{{Code|code=
{{Code|code=
import Arch, Draft, HelicalRebar
import FreeCAD, Draft, Arch, HelicalRebar

# Creating circle
Circle = Draft.makeCircle(radius=250)
pl=FreeCAD.Placement()
Structure = Arch.makeStructure(Circle)
pl.Rotation.Q=(0.0,-0.0,-0.0,1.0)
Structure.ViewObject.Transparency = 80
pl.Base=FreeCAD.Vector(-1.0,-1.0,0.0)
circle = Draft.makeCircle(radius=130.107647738,placement=pl,face=True,support=None)
Draft.autogroup(circle)
# Creating Structure element from circle
structure = Arch.makeStructure(circle)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

# Creating Helical rebar
rebar = HelicalRebar.makeHelicalRebar(20, 50, 8, 50, 50, structure, "Face2")
Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")
}}
}}

Changing properties of Helical rebar.
=== Edition of the rebar ===
You can change the properties of the rebar with the following function

{{Code|code=
editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
}}

* {{incode|Rebar}} is a previously created {{incode|HelicalRebar}} object.
* The other parameters are the same as required by the {{incode|makeHelicalRebar()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

{{Code|code=
{{Code|code=
import HelicalRebar
import HelicalRebar

HelicalRebar.editHelicalRebar(rebar, 20, 100, 12, 100, 100)
HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)
}}
}}



{{clear}}
<div class="mw-translate-fuzzy">
<languages/>
[[Category:Arch/es]]
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
[[Category:Reinforcement{{#translation:}}]]

Revision as of 19:21, 3 November 2021

Arch Rebar Helical

Ubicación del menú
Arch → Rebar tools
Bancos de trabajo
Arch
Acceso directo
None
Ver también
Arch Rebar
 
Este comando es parte del Reinforcement AddOn, que puedes instalar a través del menú Tools → Addons Manager

Descripción

La herramienta Helical Rebar permite al usuario crear una barra de refuerzo helicoidal en el elemento estructural.

The Helical Rebar tool is also integrated into BIM Workbench.

This command is part of the Reinforcement Workbench, an external workbench that can be installed with the Addon Manager via the Tools → Addon manager → Reinforcement menu.

Como utilizar

  1. Crear un elemento structure
  2. Seleccione cualquier cara de la estructura
  3. A continuación, seleccione Helical Rebar desde las herramientas de la barra de refuerzo
  4. Aparecerá un panel de tareas en el lado izquierdo de la pantalla como se muestra a continuación
  5. Seleccione la orientación deseada
  6. Proporcione las entradas como la cubierta frontal, la cubierta lateral derecha, la cubierta lateral izquierda, la cubierta inferior y el diámetro de la barra de refuerzo
  7. Seleccione el modo de distribución, ya sea cantidad o espaciado
  8. Si se selecciona el espaciado, un usuario también puede optar por espaciado personalizado
  9. La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
  10. Haga clic en OK o Apply para generar las barras de refuerzo
  11. Haga clic en Cancel para salir del panel de tareas

Taskview panel for the Arch Rebar Helical tool

Propiedades

  • DATOSSide Cover: la distancia entre las barras de refuerzo a la cara curva.
  • DATOSTop Cover: la distancia entre barras de refuerzo desde la cara superior de la estructura.
  • DATOSBottom Cover: la distancia entre las barras de refuerzo desde la cara inferior de la estructura.
  • DATOSPitch: el pitch de una hélice es la altura de un giro completo de hélice, medido en paralelo al eje de la hélice.
  • DATOSDiameter: Diámetro de la barra de refuerzo.

Programación

La herramienta Helical Rebar puede utilizarse en macros y desde la consola de python utilizando la siguiente función:

Rebar = makeHelicalRebar(s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Agrega un objeto de barra de refuerzo recto al objeto estructural dado.
  • Si no se proporciona Estructura y nombre de cara, tomará la cara seleccionada por el usuario como entrada.
  • Aquí el argumento de CoverAlong es del tipo tupla.
  • Devuelve el nuevo objeto de refuerzo.

Example

import FreeCAD, Draft, Arch, HelicalRebar

Circle = Draft.makeCircle(radius=250)
Structure = Arch.makeStructure(Circle)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = HelicalRebar.makeHelicalRebar(10, 50, 8, 50, 50, structure, "Face2")

Edition of the rebar

You can change the properties of the rebar with the following function

editHelicalRebar(Rebar, s_cover, b_cover, diameter, t_cover, pitch, structure=None, facename=None)
  • Rebar is a previously created HelicalRebar object.
  • The other parameters are the same as required by the makeHelicalRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import HelicalRebar

HelicalRebar.editHelicalRebar(Rebar, 20, 100, 20, 20, 100)